#include "resource.h"

namespace kek::Resource {

MemoryBuffer *loadResource(std::string path) {
	std::ifstream in = std::ifstream(path, std::ios::binary);
	if(!in.good()) return nullptr;
	in.ignore(std::numeric_limits<std::streamsize>::max());
	std::streamsize size = in.gcount();
	in.clear();
	in.seekg(0, std::ios_base::beg);
	char *data = (char *) malloc(size);
	in.read(data, size);
	return new MemoryBuffer(data, size);
}

}
